Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Content

Update Content
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.uat.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"38ecaeb2-d5ba-441b-b855-f146115b0f00","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["4e595575-7218-4ce3-9c0c-7725679c86a7"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"03ef56d2-ddbf-4057-ad76-1529316f7dc1","url":null,"userId":"504d184b-e15e-4bbd-9d55-3cd7f28158b0","userUrl":null,"categoryId":"28f77698-dac6-4b99-ad21-d0342a47848d","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-10-25T06:16:37.752978+00:00","lastModifiedDateTime":"2026-10-26T02:16:37.752978+00:00","availableFrom":"2026-10-26T06:16:37","startDateTimeZone":null,"availableUntil":"2026-10-27T06:16:37","endDateTimeZone":null,"medias":[{"id":"8722e6cc-45b9-42a4-bc91-91f5948d09c9","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"c47c8c09-46de-4583-8d61-abbb739a45cb","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"164ceb8e-afd1-4d61-9cd1-15d91c124622","url":null},{"type":"Department","name":"Department name example","id":"17bea944-a488-4740-9489-dec57cbf1080","url":null},{"type":"User group","name":"User group name example","id":"f005c9f0-fc57-4b62-9b82-9e53b6577ebe","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"e682eefb-eee6-41f1-a8ba-26b307a2d4e5"}],"userGroups":[{"url":null,"name":"User group name example","id":"3c5b6abc-cdfd-41b1-86b7-50e31ec99343"}],"requireAllUserGroups":false}]}}
object
  ⯈ data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    bodyText string      
    culture string      
    title string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string